UbixOS V2 2.0

Data Fields
elf_file Struct Reference

`#include <elf.h>`

Collaboration diagram for elf_file:

## Data Fields
caddr_t | address
const Elf_Hashelt * | buckets
const Elf_Hashelt * | chains
long | ctfcnt
caddr_t | ctfoff
caddr_t | ctftab
long | ddbstrcnt
caddr_t | ddbstrtab
long | ddbsymcnt
const Elf_Sym * | ddbsymtab
Elf_Dyn * | dynamic
Elf_Addr * | got
caddr_t | hash
caddr_t | modptr
Elf_Hashelt | nbuckets
Elf_Hashelt | nchains
Elf_Addr | pcpu_base
Elf_Addr | pcpu_start
Elf_Addr | pcpu_stop
const Elf_Rel * | pltrel
const Elf_Rela * | pltrela
int | pltrelasize
int | pltrelsize
int | preloaded
const Elf_Rel * | rel
const Elf_Rela * | rela
int | relasize
int | relsize
caddr_t | strbase
int | strsz
caddr_t | strtab
caddr_t | symbase
const Elf_Sym * | symtab
long | typlen
caddr_t | typoff

## Detailed Description

Definition at line 39 of file elf.h.

## Field Documentation

## ◆ address

caddr_t elf_file::address

Definition at line 41 of file elf.h.

## ◆ buckets

const Elf_Hashelt* elf_file::buckets

Definition at line 45 of file elf.h.

## ◆ chains

const Elf_Hashelt* elf_file::chains

Definition at line 46 of file elf.h.

## ◆ ctfcnt

long elf_file::ctfcnt

Definition at line 68 of file elf.h.

## ◆ ctfoff

caddr_t elf_file::ctfoff

Definition at line 69 of file elf.h.

## ◆ ctftab

caddr_t elf_file::ctftab

Definition at line 67 of file elf.h.

## ◆ ddbstrcnt

long elf_file::ddbstrcnt

Definition at line 64 of file elf.h.

## ◆ ddbstrtab

caddr_t elf_file::ddbstrtab

Definition at line 63 of file elf.h.

## ◆ ddbsymcnt

long elf_file::ddbsymcnt

Definition at line 62 of file elf.h.

## ◆ ddbsymtab

const Elf_Sym* elf_file::ddbsymtab

Definition at line 61 of file elf.h.

## ◆ dynamic

Elf_Dyn* elf_file::dynamic

Definition at line 42 of file elf.h.

## ◆ got

Elf_Addr* elf_file::got

Definition at line 51 of file elf.h.

## ◆ hash

caddr_t elf_file::hash

Definition at line 47 of file elf.h.

## ◆ modptr

caddr_t elf_file::modptr

Definition at line 60 of file elf.h.

## ◆ nbuckets

Elf_Hashelt elf_file::nbuckets

Definition at line 43 of file elf.h.

## ◆ nchains

Elf_Hashelt elf_file::nchains

Definition at line 44 of file elf.h.

## ◆ pcpu_base

Elf_Addr elf_file::pcpu_base

Definition at line 74 of file elf.h.

## ◆ pcpu_start

Elf_Addr elf_file::pcpu_start

Definition at line 72 of file elf.h.

## ◆ pcpu_stop

Elf_Addr elf_file::pcpu_stop

Definition at line 73 of file elf.h.

## ◆ pltrel

const Elf_Rel* elf_file::pltrel

Definition at line 52 of file elf.h.

## ◆ pltrela

const Elf_Rela* elf_file::pltrela

Definition at line 54 of file elf.h.

## ◆ pltrelasize

int elf_file::pltrelasize

Definition at line 55 of file elf.h.

## ◆ pltrelsize

int elf_file::pltrelsize

Definition at line 53 of file elf.h.

## ◆ preloaded

int elf_file::preloaded

Definition at line 40 of file elf.h.

## ◆ rel

const Elf_Rel* elf_file::rel

Definition at line 56 of file elf.h.

## ◆ rela

const Elf_Rela* elf_file::rela

Definition at line 58 of file elf.h.

## ◆ relasize

int elf_file::relasize

Definition at line 59 of file elf.h.

## ◆ relsize

int elf_file::relsize

Definition at line 57 of file elf.h.

## ◆ strbase

caddr_t elf_file::strbase

Definition at line 66 of file elf.h.

## ◆ strsz

int elf_file::strsz

Definition at line 49 of file elf.h.

## ◆ strtab

caddr_t elf_file::strtab

Definition at line 48 of file elf.h.

## ◆ symbase

caddr_t elf_file::symbase

Definition at line 65 of file elf.h.

## ◆ symtab

const Elf_Sym* elf_file::symtab

Definition at line 50 of file elf.h.

## ◆ typlen

long elf_file::typlen

Definition at line 71 of file elf.h.

## ◆ typoff

caddr_t elf_file::typoff

Definition at line 70 of file elf.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/sys/elf.h